bzimport set Reference to bz38271.
MZMcBride created this task.Via LegacyJul 10 2012, 12:27 AM
Reedy added a comment.Via ConduitJul 10 2012, 8:36 AM

Extension requires moving to Git

MZMcBride added a comment.Via ConduitJul 10 2012, 8:31 PM

(In reply to comment #1)

Extension requires moving to Git

Okay, copying Chad about that.

A demonstration is currently available here: https://toolserver.org/~brion/svg-edit/svg-editor.html. Looks pretty neat!

Nemo_bis added a comment.Via ConduitJul 27 2012, 8:34 AM

(In reply to comment #2)

(In reply to comment #1)
> Extension requires moving to Git

Okay, copying Chad about that.

Chad, is this in the queue?
Also cc'ing Harry because I don't understand how this would interact with TranslateSVG and he probably has some insights to share.

Jarry1250 added a comment.Via ConduitJul 27 2012, 10:05 AM

Well, interaction with TranslateSvg *per se* shouldn't be a problem, the issue is really its (by which I mean SVGEdit and not the extension) support for certain parts of the SVG1.1 specification on which TranslateSvg relies (namely <switch> tags).

At the moment, if you dump in a <switch> tag, it will render it correctly, which is nice. However, the text is not editable, and the thing isn't movable.

If you add a group around it, it becomes movable.

In other words, I think this is a fixable issue - SVGEdit *can* handle <switch>, it just doesn't think it can.

SVGEdit is written in JS, right? In which case, I could probably take a look myself at some point.

demon added a comment.Via ConduitJul 27 2012, 10:50 AM

(In reply to comment #3)

(In reply to comment #2)
> (In reply to comment #1)
> > Extension requires moving to Git
>
> Okay, copying Chad about that.

Chad, is this in the queue?

It's already been done in the last round of moves.

https://gerrit.wikimedia.org/r/gitweb?p=mediawiki/extensions/SVGEdit.git

(Removing myself from the CC list again since the part I need to do is done and I don't really care about SVGs)

bzimport added a comment.Via ConduitAug 30 2012, 5:29 PM

sumanah wrote:

Harry (Jarry1250), do you have time to look at this soon? Thanks.

Jarry1250 added a comment.Via ConduitAug 31 2012, 10:59 PM

(In reply to comment #6)

Harry (Jarry1250), do you have time to look at this soon? Thanks.

Yeah, I can probably take a look tomorrow. I'd be more certain except someone tried to SQL-inject one of my websites today.

Jarry1250 added a comment.Via ConduitSep 1 2012, 3:40 PM

Upstream bug filed: https://code.google.com/p/svg-edit/issues/detail?id=1006 . Probably shouldn't block this, except perhaps from the perspective of svg-edit "sanitizing" an SVG and thereby breaking it, which could be confusing for the user.

bzimport added a comment.Via ConduitSep 17 2012, 3:16 AM

sumanah wrote:

Since this is user-facing, then it looks like SVGEdit awaits a design review https://www.mediawiki.org/wiki/WMF_Project_Design_Review_Process before we can move forward with deploying it on Wikimedia sites. Would Harry, Brion, or someone else like to lead that?

Thanks.

MZMcBride added a comment.Via ConduitSep 17 2012, 3:36 AM

(In reply to comment #9)

Since this is user-facing, then it looks like SVGEdit awaits a design review
https://www.mediawiki.org/wiki/WMF_Project_Design_Review_Process before we can
move forward with deploying it on Wikimedia sites. Would Harry, Brion, or
someone else like to lead that?

You're citing a draft of a page that was written in a single edit in April 2011 (about sixteen months ago). I find it difficult to believe that the page is authoritative or that anyone intended it to be.

bzimport added a comment.Via ConduitSep 17 2012, 3:40 AM

sumanah wrote:

I'm inferring from http://lists.wikimedia.org/pipermail/design/2012-September/000138.html that Brandon wants folks to follow the process as outlined at https://www.mediawiki.org/wiki/WMF_Project_Design_Review_Process -- cc'ing Brandon to check.

bzimport added a comment.Via ConduitNov 16 2012, 10:45 PM

marc wrote:

December 4th, 2012, there will be a community conference call. One of the topics is "SVG-edit on Wikipedia: What are the steps to get there?"

Looking forward to it:
https://code.google.com/p/svg-edit/wiki/CommunityConferenceCall#Wikipedia

Thanks!

Marc Laporte
SVG-edit

Nemo_bis added a comment.Via ConduitNov 16 2012, 10:49 PM

(In reply to comment #12)

December 4th, 2012, there will be a community conference call. One of the
topics is "SVG-edit on Wikipedia: What are the steps to get there?"

You should probably announce it on [[mw:Meetings]] etc.

brion added a comment.Via ConduitNov 16 2012, 10:49 PM

I'll be on the call, unless my jury duty interferes. :P

bzimport added a comment.Via ConduitNov 16 2012, 11:02 PM

marc wrote:

(In reply to comment #13)

(In reply to comment #12)
> December 4th, 2012, there will be a community conference call. One of the
> topics is "SVG-edit on Wikipedia: What are the steps to get there?"

You should probably announce it on [[mw:Meetings]] etc.

Done
https://www.mediawiki.org/wiki/Meetings/2012-12-05

Jarry1250 added a comment.Via ConduitDec 4 2012, 5:53 PM

Okay, so I was on the call today. What I took away from:

  • svg-edit has a large body of diverse users and contributors. There are many use cases out there.
  • many users have to hack the UI to get it a little more user friendly, but there does seem to be progress in this area. For example, CWM-tool is an open source attempt make a very simple GUI
  • another caller, Emmanuel, said he was going to be trying out the existing extension for his new project.

In short, it's a very cool project. For my money, the choice is between jumping in now or jumping in later. I don't think it's very practical at present to have us reskinning--as some of the callers said, they were scared that because they'd hacked it, if they tried to update all they'd end up with was a horrible mess. Updatability > skinning for us, I suspect, especially if better skinning support comes soon.

Overall, I think we ought to consider a Labs deployment for svg-edit, and I'll look into getting that bug with <switch> support fixed.

bzimport added a comment.Via ConduitDec 5 2012, 12:48 AM

marc wrote:

Hi!

Thanks for being on the call today. We had over 30 people, and the meeting lasted over 3 hours!

Notes and a link to the recording are here:
https://code.google.com/p/svg-edit/wiki/CommunityConferenceCall

Harry and Brion have commit access. We look forward to fixes for anything blocking progress towards this high-priority goal.

Best regards,

M ;-)

waldyrious added a comment.Via ConduitJan 17 2013, 1:00 AM

(In reply to comment #16)

For example, CWM-tool is an open source attempt make a very simple GUI

TO save someone else the googling: the name is actually CWM Draw Tool: http://code.google.com/p/cwm-drawtool/

bzimport added a comment.Via ConduitJan 21 2013, 6:51 PM

marc wrote:

The next SVG-edit community conference call is on 2013-02-12:

And one of the main topics is Wikipedia & the round-trip test suite:
https://code.google.com/p/svg-edit/wiki/CommunityConferenceCall2#Wikipedia

Thanks!

Aklapper added a comment.Via ConduitFeb 25 2013, 7:02 PM

Marc / Brion (bug assignee): Is there anything that volunteers can help with to get this forward? Was there any outcome from the community conference call?

brion added a comment.Via ConduitFeb 25 2013, 7:53 PM

The main thing we want to do is get compatibility testing automated -- round-tripping problems when editing existing files is the biggest problem with SVG-Edit for Wikipedia potential usage.

I have a proof-of-concept:
https://github.com/brion/svg-edit-test

(this currently only runs in Firefox because other browsers taint <canvas>es that have SVGs drawn to them.)

Needs some more work:

  • add a back-end data store to save original files, round-tripped files, renderings, and subtractive comparison images
  • add a front-end test runner that automatically churns through thousands of images
  • add a front-end dashboard that shows images with large difference scores and allows easy searching

Probably we want to set this up on a Wikimedia Labs instance.

Then we can start identifying round-trip failures cases and seeing about fixing them.

In addition or as an alternative, we could update SVGEdit extension to current code and either limit it to new files or files that were created with SVGEdit, or add a warning that editing may damage files.

bzimport added a comment.Via ConduitMar 2 2013, 4:58 PM

marc wrote:

Hi!

The SVG-edit testing suite has already lead to a first bug fix!

We have 9 new committers in the last 2 months:
http://www.ohloh.net/p/svg-edit/contributors?query=&sort=newest

I think it's a great time to have clear objectives which will come from this dashboard. And for all the 'old' committers, once we have a dashboard, I will write to all of them to ask them to help.

Best regards,

M ;-)

bzimport added a comment.Via ConduitMar 2 2013, 5:01 PM

marc wrote:

The 3rd SVG-edit 'Community Conference Call' is confirmed for April 9th, 2013 16h00 UTC: http://code.google.com/p/svg-edit/wiki/CommunityConferenceCall3

Wikipedia / dashboard is one the agenda.

Thanks!

M ;-)

Qgil added a comment.Via ConduitMar 23 2013, 11:35 PM

This feature request is being proposed at

https://www.mediawiki.org/wiki/Talk:Mentorship_programs/Possible_projects#Polishing_this_list_for_GSOC.2713_24957

and I'm considering whether to add it or not to

https://www.mediawiki.org/wiki/Summer_of_Code_2013#Project_ideas

If you think this is worth a try, I have some questions:

Could someone post a description of the work that needs to be done at http://www.mediawiki.org/wiki/Mentorship_programs/Possible_projects ?

Is there a potential mentor willing to help potential students interested in
this project?

Is there a reasonable support from the Commons community to
incorporate this feature if it's developed and meets the quality criteria?

bzimport added a comment.Via ConduitJul 29 2013, 9:34 PM

marc wrote:

Some very interesting progress by Mike Baynton:

Please see comments here:
https://code.google.com/p/svg-edit/wiki/Wikipedia

And: http://home.mbaynton.com/svg-edit-test/svg-edit-test/launcher.php

Best regards,

M ;-)

Nemo_bis added a comment.Via ConduitSep 17 2013, 9:24 AM

Question: is SVG scripting (mentioned in https://strategy.wikimedia.org/wiki/Proposal:Inline_SVG_preference) in scope for this bug? If not, can someone please create a separate ticket for that in the most relevant component? Thanks.

Bawolff added a comment.Via ConduitSep 17 2013, 3:08 PM

(In reply to comment #26)

Question: is SVG scripting (mentioned in
https://strategy.wikimedia.org/wiki/Proposal:Inline_SVG_preference) in
scope
for this bug? If not, can someone please create a separate ticket for that in
the most relevant component? Thanks.

Its not. (Also it seems very unlikely we would ever allow scripted svgs [scary security issues]. Declaritive animation with smil seems at face value more likely to be a possibility, but would still have a lot of issues to go through)

brion added a comment.Via ConduitSep 19 2013, 3:16 PM

Note there are some security issues reported recently with the base svg-edit (in the embedding API and in the editor itself); let's make sure those get fixed!

bzimport added a comment.Via ConduitOct 3 2013, 3:29 PM

marc wrote:

SVG-edit 4th 'Community Conference Call' confirmed for October 10th, 2013 16h00 UTC: https://code.google.com/p/svg-edit/wiki/CommunityConferenceCall4

A major topic for Wikipedia is the recent progress on Round-Trip tests:
https://code.google.com/p/svg-edit/wiki/RoundtripTests

Thanks!

bzimport added a comment.Via ConduitOct 10 2013, 10:20 PM

marc wrote:

The call recording is available at:
http://code.google.com/p/svg-edit/wiki/CommunityConferenceCall4

Many topics were discussed, but with respect to Wikipedia, next steps:

1- Security concerns must be addressed
2- SVG-edit could first be added for new drawings (until we have a reliable way to deal with existing drawings)
3- We should get the Multimedia list involved
http://lists.wikimedia.org/pipermail/multimedia/2013-July/000000.html

Thanks!

Bawolff added a comment.Via ConduitMar 13 2014, 6:15 AM
  • Bug 62562 has been marked as a duplicate of this bug. ***
bzimport added a comment.Via ConduitMar 13 2014, 7:17 AM

brettz9 wrote:

As far as item #1 on "Security concerns must be addressed", all issues on SVG-Edit should now be addressed in trunk, but I haven't gotten any takers to do testing yet.

Juandev added a comment.Via ConduitMar 15 2014, 8:31 AM

I can test it once its deployed:-)

bzimport added a comment.Via ConduitMar 15 2014, 9:33 AM

brettz9 wrote:

Trunk is deployed live on the SVG Edit site, albeit not as part of any MW extension there:

http://svg-edit.googlecode.com/svn/trunk/editor/svg-editor.html
http://svg-edit.googlecode.com/svn/trunk/editor/embedapi.html

(Note that the dialog about cookies can be avoided)

bzimport added a comment.Via ConduitApr 8 2014, 2:42 AM

brettz9 wrote:

Version 2.7 of SVG Edit is now released.

He7d3r awarded a token.Via WebNov 24 2014, 12:49 PM
mxn added a subscriber: mxn.Via WebNov 24 2014, 9:00 PM
JeanFred added a subscriber: JeanFred.Via WebDec 15 2014, 6:41 PM
Aklapper added a project: Commons.Via WebMar 10 2015, 4:45 PM
Steinsplitter moved this task to Backlog on the Commons workboard.Via WebMar 11 2015, 12:55 PM
Liuxinyu970226 added a subscriber: Liuxinyu970226.Via WebTue, May 5, 10:15 AM
Perhelion added a subscriber: Rillke.Via WebMon, May 25, 6:47 PM

I must note that on Commons exist another "new" JavaScipt SVG codeeditor by @Rillke: SVGedit.js

Rillke added a comment.Via WebMon, May 25, 7:33 PM

I must note that on Commons exist another "new" JavaScipt SVG codeeditor by @Rillke: SVGedit.js

Which is rather hacky and just for editing SVG source code while the extension this bug is about is a fully-featured WYSIWYG editor.

Add Comment